Class | Object
In: | lib/bio/shell/object.rb
Parent: | Object

Object extention

### Methods

output

### Attributes

memo | [RW] | Couldn‘t work for Fixnum (Marshal)

### Public Instance methods

output(format = :yaml)

[Source]

        # File lib/bio/shell/object.rb, line 22
    22:   def output(format = :yaml)
    23:     case format
    24:     when :yaml
    25:       self.to_yaml
    26:     when :html
    27:       format_html
    28:     when :inspect
    29:       format_pp
    30:     when :png
    31:       # *TODO*
    32:     when :svg
    33:       # *TODO*
    34:     when :graph
    35:       # *TODO* (Gruff, RSRuby etc.)
    36:     else
    37:       #self.inspect.to_s.fold(80)
    38:       self.to_s
    39:     end
    40:   end

[Validate]